<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<script>
   function creatNewUser() {
   const newUser = {
       firstName: prompt("Enter your first name, please"),
       lastName: prompt("Enter your last name, please"),
       getLogin: function () {
           let result = this.firstName[0].toLowerCase() + this.lastName.toLowerCase();
           return result;

       }
   };
   console.log(newUser);
   console.log("your log-in is; ", newUser.getLogin());
   }
   creatNewUser();
</script>
</body>
</html>

<!--Методи - це вбудовані в об'єкт функції, що працюю зі змінними в середині об'єкта і переданими йому в якості аргументів значеннями-->